import { getVariableValue } from './getVariableValue';
import { DevCycleNextOptions } from './initialize';
import { DevCycleUser } from '@devcycle/js-client-sdk';
type ServerUser = Omit<DevCycleUser, 'user_id' | 'isAnonymous'> & {
    user_id: string;
};
export declare const setupDevCycle: (sdkKey: string, userGetter: () => Promise<ServerUser> | ServerUser, options?: DevCycleNextOptions) => {
    getVariableValue: typeof getVariableValue;
    getClientContext: () => {
        serverDataPromise: Promise<{
            config: import("../../../../dist/lib/shared/types/src").BucketedUserConfig & {
                lastModified?: string | undefined;
            };
            sdkKey: string;
            options: DevCycleNextOptions;
            user: DevCycleUser;
        }>;
        sdkKey: string;
        enableStreaming: boolean;
        userAgent: string | undefined;
    };
};
export {};
